Subject: Re: [RFC PATCH net-next 04/19] ipv6: Prepare to handle multiple netdev events

From: Ido Schimmel <[email-masked]>
Date: Wed, 3 Jan 2018 09:46:55 +0200

On Tue, Jan 02, 2018 at 09:29:42AM -0700, David Ahern wrote:
> On 12/31/17 9:14 AM, Ido Schimmel wrote:
> > To make IPv6 more in line with IPv4 we need to be able to respond
> > differently to different netdev events. For example, when a netdev is
> > unregistered all the routes using it as their nexthop device should be
> > flushed, whereas when the netdev's carrier changes only the 'linkdown'
> > flag should be toggled.
> > 
> > Currently, this is not possible, as the function that traverses the
> > routing tables is not aware of the triggering event.
> > 
> > Propagate the triggering event down, so that it could be used in later
> > patches.
> > 
> > Signed-off-by: Ido Schimmel <[email-masked]>
> > ---
> >  include/net/ip6_route.h |  1 +
> >  net/ipv6/addrconf.c     |  4 ++--
> >  net/ipv6/route.c        | 35 ++++++++++++++++++++---------------
> >  3 files changed, 23 insertions(+), 17 deletions(-)
> > 
> > diff --git a/include/net/ip6_route.h b/include/net/ip6_route.h
> > index caad39198c2a..8205402ff3dc 100644
> > --- a/include/net/ip6_route.h
> > +++ b/include/net/ip6_route.h
> 
> rt6_ifdown is done with this change, so the declaration of rt6_ifdown
> can be removed from this file as well.

Yes, I missed that. grepping for `rt6_ifdown` I now see that I need to
reword a comment referencing it in icmp6_dst_alloc().

Thanks